org.apache.ignite.internal.managers.deployment

## Interface GridDeploymentInfo

All Known Implementing Classes:
  GridDeployment, GridDeploymentInfoBean

    public interface GridDeploymentInfo

Deployment info.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`IgniteUuid` `classLoaderId()`
`DeploymentMode` `deployMode()`
`boolean` `localDeploymentOwner()` Deprecated.
`Map<UUID,IgniteUuid>` `participants()`
`long` `sequenceNumber()`
`String` `userVersion()`

### Method Detail

#### classLoaderId

    IgniteUuid classLoaderId()

Returns:
  Class loader ID.

#### userVersion

    String userVersion()

Returns:
  User version.

#### sequenceNumber

    long sequenceNumber()

Returns:
  Sequence number.

#### deployMode

    DeploymentMode deployMode()

Returns:
  Deployment mode.

#### localDeploymentOwner

    @Deprecated
    boolean localDeploymentOwner()

Deprecated.

Returns:
  Local deployment ownership flag.

#### participants

    Map<UUID,IgniteUuid> participants()

Returns:
  Participant map for SHARED mode.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019